# shered


shred è un comando Unix che permette di cancellare i file sovrascrivendo ripetutamente i blocchi del disco su cui era stato salvato, in modo da rendere più difficile il 
ripristino dei dati cancellati.

```bash
 shred [OPZIONE]... FILE...
```

## Argomenti

```txt
 -f, --force           se necessario cambia i permessi per permettere la scrittura
 -n, --iterations=N    sovrascrive N volte invece che le 3 predefinite
 -u, --remove          tronca e rimuove il file dopo la sovrascrittura
 -v, --verbose         indica il progresso
 -z, --zero            aggiunge una sovrascrittura finale con zeri per nascondere la distruzione
 --help                mostra questo aiuto ed esce
 --version             stampa le informazioni sulla versione ed esce
```

Un esempio:

```bash
shred -vuzn 25 *.*

[17:36 dom giu 04]davide@desktop (9819):~
 > touch file.txt
[17:36 dom giu 04]davide@desktop (9820):~
 > shred -vuz file.txt
shred: file.txt: rimozione
shred: file.txt: rinominato in 00000000
shred: 00000000: rinominato in 0000000
shred: 0000000: rinominato in 000000
shred: 000000: rinominato in 00000
shred: 00000: rinominato in 0000
shred: 0000: rinominato in 000
shred: 000: rinominato in 00
shred: 00: rinominato in 0
shred: file.txt: rimosso
```

## Collegamenti

- [https://it.wikipedia.org/wiki/Shred_(Unix)](https://it.wikipedia.org/wiki/Shred_(Unix))
